Name:          containerd
Version:       0.2.8
Release:       1mamba
Summary:       A daemon to control OCI container runtimes
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.docker.com/
## GITSOURCE https://github.com/docker/containerd.git 0.0.5
Source:        https://github.com/docker/containerd.git/v%{version}/containerd-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgo-devel
## AUTOBUILDREQ-END
BuildRequires: gcc-go
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A daemon to control OCI container runtimes.

%debug_package

%prep
%setup -q

%build
export GOPATH=`pwd`
mkdir -p src/github.com/docker
ln -rsf `pwd` src/github.com/docker/containerd
cd src/github.com/docker/containerd

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd src/github.com/docker/containerd/bin
for file in $(find . -type f -print); do
    install -Dm755 $file %{buildroot}%{_bindir}/$file
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/containerd
%{_bindir}/containerd-shim
%{_bindir}/ctr
%doc LICENSE.code LICENSE.docs MAINTAINERS
#%doc README.md


%changelog
* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1mamba
- update to 0.2.8

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.5-1mamba
- package created using the webbuild interface
